body {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  /* background-color: #548076; */
  background-color:#0202a2; /*สี background ของ page*/
  font-family: 'Helvetica', sans-serif; 
  
}


/* Navbar */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.2vw;
   padding: 1rem 2rem; 
  /* background-color: rgb(46, 255, 192); */
  background-color:#FFFFFF;
}

.logo img {
  height: 80px; 
  border-radius: 5px;
  
}

/* Menu Style */
ul {
  display: flex;
  list-style: none;
  margin: 0;
  padding: 0;
  
}

ul li {
  margin: 0 1rem;
}

a {
  text-decoration: none;
  Color:#0202cc;
  /* color: #554a8f; */
  font-size: 1.2vw;
}
a:hover {
  font-weight: bold;
  text-decoration: underline;
}

/* Footer */
footer {
  /* background-color: rgb(46, 255, 192); */
  background-color:#FFFFFF;
  padding: 1rem;
  margin-top: 2rem;
  font-family: 'Helvetica', sans-serif;
  font-size: 2cqmin;
  /* text-align: center; */
}
footer .container {
  Color:#0202cc; /* สีตัวอักษร footer */
  display: flex; /* ใช้ flexbox เพื่อจัดวาง */
  justify-content: space-around; /* กระจายพื้นที่ว่างระหว่าง left และ right */
  width: 100%; /* ให้ container กว้างเต็ม */
  margin-bottom: 2rem; /* เพิ่มระยะห่างด้านล่างของ container */
}

footer .left, 
footer .right {
  text-align: left; /* จัดข้อความชิดซ้าย */
}

footer .right {
  margin-left: 5rem; /* เพิ่มระยะห่างด้านซ้ายของ right */
}

footer a {
  Color:#0202cc; /* เปลี่ยนสีลิงก์ */
  text-decoration: none; /* ลบเส้นใต้ลิงก์ */
}
.copyright{
  text-align: center;
  Color:#0202cc; 
  }
/* Products Container */
.ProductsContainer {
  display: grid;
  grid-template-columns: 250px 1fr; 
  gap: 20px;
  padding: 20px;
  border: px solid red;
  
}

.ProductsSidemenu {
  /* background: rgba(109, 125, 90, 0.4); */
  Color:#fec04c;
  background-color: rgba(253, 252, 252, 0.1);
  border-radius: 10px;
  padding: 10px;
}

.Products-Menus {
  display: block;
  padding: 10px;
  Color:#fec04c;
  /* color: #F5F5DC; */
  text-align: left;
  margin-bottom: 5px;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

.Products-Menus:hover {
  background-color: rgb(251, 252, 251, 0.3);
}

.ProductsItems {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr)); 
  gap: 20px;
  
}

.Product-Img {
  width: 100%;
  height: auto;  /* กำหนดความสูงของรูปภาพ (ProductItems) */
  object-fit: cover; 
  border-radius: 10px;
}

.ProductLists {
  background-color: rgb(189, 209, 235);
  border-radius: 15px;
  padding: 15px; /* เพิ่ม padding ให้กับ ProductLists */
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center; /* จัดข้อความตรงกลาง */
}

.ProductLists:hover {
  transform: scale(1.03);
}



.ProductLists p { /* จัดรูปแบบชื่อสินค้า */
  font-size: 1.2em;
  font-weight: bold;
  color: #333; /* สีเทาเข้ม */
  margin-bottom: 0.5em; /* ระยะห่างด้านล่าง */
}

.productDetail { /* จัดรูปแบบรายละเอียดสินค้า */
  font-size: 0.9em;
  color: #555; /* สีเทา */
  line-height: 1.4em; /* ระยะห่างระหว่างบรรทัด */
  text-align: l; /* จัดชิดขอบทั้งสองด้าน */
}